services:
  frontend:
    build: 
      context: ./app
      dockerfile: Dockerfile
      args:
        - REACT_APP_SERVER_SOCKET_API_BASE_URL=185.100.212.76:7999
        - REACT_APP_SERVER_REST_API_BASE_URL=185.100.212.76:4999
        - REACT_APP_SERVER_MARKETPLACE_URL=185.100.212.76:50011
    container_name: dwinzo-beta-Demo
    stdin_open: true
    tty: true
    ports:
      - "8300:3000"
    environment:
      - WDS_SOCKET_PORT=0
      - PORT=3000
      - DOCSIFY_PORT=8201
    volumes:
      - ./app:/app

volumes:
  frontend:
    driver: local
